Package com.clickhouse.jdbc.parser

## Class ClickHouseSqlUtils

- java.lang.Object
- - com.clickhouse.jdbc.parser.ClickHouseSqlUtils

    public final class ClickHouseSqlUtils
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `escape​(String str, char quote)` Escape quotes in given string.
`static boolean` `isQuote​(char ch)`
`static String` `unescape​(String str)` Unescape quoted string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isQuote

    public static boolean isQuote​(char ch)

#### escape

    public static String escape​(String str,
                                char quote)

Escape quotes in given string.

Parameters:
  `str` - string
  `quote` - quote to escape
Returns:
  escaped string

#### unescape

    public static String unescape​(String str)

Unescape quoted string.

Parameters:
  `str` - quoted string
Returns:
  unescaped string